diff scripts/mk-component.sh @ 574:41b6a18ffa0b

GPF rebuild from source: symlink magic to fix __FILE__ With this fix all of the core GPF libraries (frame_*, misc_* and tif_*) compile into objects that perfectly match the original TCS211 binary versions bit for bit. Prior to this fix there was an issue with TI's use of __FILE__ expanding into longer pathnames that were an artifact of our FC Magnetite build system, and it appears that these longer __FILE__ strings in GPF may have been causing some breakage in some error handling paths.
author Mychaela Falconia <falcon@freecalypso.org>
date Thu, 24 Jan 2019 23:26:51 +0000
parents 87347425b11f
children 0198ac1e1a4f
line wrap: on
line diff
--- a/scripts/mk-component.sh	Sun Jan 13 04:50:38 2019 +0000
+++ b/scripts/mk-component.sh	Thu Jan 24 23:26:51 2019 +0000
@@ -142,6 +142,19 @@
 	fi
 }
 
+cfile_symlink() {
+	if [ $# != 1 ]
+	then
+		echo "Error: cfile_symlink takes 1 argument" 1>&2
+		exit 1
+	fi
+	localcopy=`basename "$1"`
+	helpers/makeline dep $localcopy "$1" >> $BUILD_DIR/$LIBNAME/Makefile
+	helpers/makeline cmd ln -s "$1" . >> $BUILD_DIR/$LIBNAME/Makefile
+	echo >> $BUILD_DIR/$LIBNAME/Makefile
+	cfile_plain $localcopy
+}
+
 # invoke the recipe
 
 SRC=../../src